Skip to main content
GET
List invoices eligible for bill run

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

nextToken
string

Pagination token used as a marker to get records from next page.

Example:

"eyJsYXN0SXRlbUlkIjogInN0cmluZyIsICJwYWdlU2l6ZSI6IDEyMywgInNvcnRPcmRlciI6ICJhc2MifQ=="

status
string

Filter option to filter by status.

owner_id
string

Filter option to filter based on owner id.

Example:

"ACC001"

customer_id
string

Filter option to filter based on customer id.

Example:

"1234"

pageSize
integer

Maximum page size expected by client to return the record list.

NOTE: Max page size cannot be more than 50. Also 50 is the default page size if no value is provided.

Example:

10

start_time
integer<int64>

Start time filter in epoch milli seconds

Example:

1650110402000

end_time
integer<int64>

End time filter in epoch milli seconds

Example:

1650110402000

Response

Response for Get invoice requests

List invoices response

data
object[]
required
Maximum array length: 50
nextToken
string
Maximum string length: 500
Example:

"eyJsYXN0SXRlbUlkIjogInN0cmluZyIsICJwYWdlU2l6ZSI6IDEyMywgInNvcnRPcmRlciI6ICJhc2MifQ=="